hledger-web-1.3: Web interface for the hledger accounting tool

Safe Haskell | None
Language | Haskell2010

Handler.AddForm

Description

Add form data & handler. (The layout and js are defined in Foundation so that the add form can be in the default layout for all views.)

# Documentation

data AddForm #

Constructors

AddForm |
Fields addFormDate :: Day addFormDescription :: Maybe Text addFormJournalFile :: Maybe Text

Instances

Show AddForm # |
Methods showsPrec :: Int -> AddForm -> ShowS # show :: AddForm -> String # showList :: [AddForm] -> ShowS #

postAddForm :: Handler Html #